//****************************************************************************
//*   RN4020 INITIALIZE ROUTINE
//****************************************************************************
void rn4020Init(void)
{
	uint8_t rxBuf[64];
	uint8_t indx;
	
    indx = 0;
 	CMD_SetLow();   
    //output_low(PIN_BT_MLDP_CMD_MODE);
    //output_drive(PIN_BT_MLDP_CMD_MODE);
    WAKESW_SetLow();
    //output_low(PIN_BT_SWAKE);
    //output_drive(PIN_BT_SWAKE);
    __delayms(100);
    //delay_ms(100);
    WAKESW_SetHigh();
    __delayms(2000);
    //output_high(PIN_BT_SWAKE);
    //delay_ms(2000);

    indx = 0;
    if(EUSART_DataReady)
    {
        do{
            rxBuf[indx++] = EUSART_Read());
        }while(EUSART_DataReady);
    }
    if(rxBuf[0] == 'C' && \
       rxBuf[1] == 'M' && \
       rxBuf[2] == 'D')
    {
        indx = 0;
        printf("SR,32000000\r\n");
        __delayms(500);
        if(EUSART_DataReady)
        {
            do{
                rxBuf[indx++] = EUSART_Read();
            }while(EUSART_DataReady);
        }
    }
    if(rxBuf[0] == 'A' && \
       rxBuf[1] == 'O' && \
       rxBuf[2] == 'K')
    {
        indx = 0;
        printf("R,1\r\n");
        __delayms(1000);
        
        if(EUSART_DataReady)
        {
            do{
                rxBuf[indx++] = EUSART_Read());
            }while(EUSART_DataReady);
        }
    }
    if(rxBuf[0] == 'R' && \
       rxBuf[1] == 'e' && \
       rxBuf[2] == 'b' && \
       rxBuf[3] == 'o' && \
       rxBuf[4] == 'o' && \
       rxBuf[5] == 't')
    {
        indx = 0;
        __delayms(1000);
        if(EUSART_DataReady)
        {        
            
            do{
                rxBuf[indx++] = EUSART_Read();
            }while(EUSART_DataReady);
        }
        
    }
     if(rxBuf[0] == 'C' && \
        rxBuf[1] == 'M' && \
        rxBuf[2] == 'D')
     {
         //fprintf(WIFI,"RN4020 ONLINE\r\n");
     }
}

